## dde-app-services 0.0.11

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
PROJECT(dde-dconfig-daemon)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(DtkCore REQUIRED)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(src.cmake)

ADD_EXECUTABLE(dde-dconfig-daemon main.cpp ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})

set(COMMON_LIBS
    Qt5::Core
    Qt5::DBus
    ${DtkCore_LIBRARIES}
)

target_link_libraries(dde-dconfig-daemon PUBLIC ${COMMON_LIBS})

target_include_directories(dde-dconfig-daemon PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

## dbus xml files
set(DCONFIG_XMLS_FILES
    services/org.desktopspec.ConfigManager.xml
    services/org.desktopspec.ConfigManager.Manager.xml
)
install (FILES ${DCONFIG_XMLS_FILES} DESTINATION share/dbus-1/interfaces)

## dbus config file
install (FILES services/org.desktopspec.ConfigManager.conf DESTINATION /usr/share/dbus-1/system.d)

## services files
install(FILES services/org.desktopspec.ConfigManager.service DESTINATION /usr/share/dbus-1/system-services)
install(FILES services/dconfig-center-daemon.service DESTINATION /usr/lib/systemd/system)

## bin
install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
PROJECT(dde-dconfig-editor)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets DBus)
find_package(DtkCore REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkWidget REQUIRED)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(DCONFIG_DBUS_XML_CONFIGMANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_CONFIGMANAGER} PROPERTIES CLASSNAME DSGConfig NO_NAMESPACE NO_NAMESPACE)
qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)

set(DCONFIG_DBUS_XML_MANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.Manager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_MANAGER} PROPERTIES CLASSNAME DSGConfigManager NO_NAMESPACE NO_NAMESPACE)
qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)

set(HEADERS
    mainwindow.h
    valuehandler.h
    iteminfo.h
    exportdialog.h
    oemdialog.h
)
set(SOURCES
    main.cpp
    mainwindow.cpp
    valuehandler.cpp
    iteminfo.cpp
    exportdialog.cpp
    oemdialog.cpp
)

ADD_EXECUTABLE(dde-dconfig-editor ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})

set(COMMON_LIBS
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    ${DtkWidget_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
)

install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dconfig-center/dde-dconfig/CMakeLists.txt ===
PROJECT(dde-dconfig)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(DtkWidget REQUIRED)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(DCONFIG_DBUS_XML_CONFIGMANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_CONFIGMANAGER} PROPERTIES CLASSNAME DSGConfig NO_NAMESPACE NO_NAMESPACE)
qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)

set(DCONFIG_DBUS_XML_MANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.Manager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_MANAGER} PROPERTIES CLASSNAME DSGConfigManager NO_NAMESPACE NO_NAMESPACE)
qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)

set(HEADERS
    helper.hpp
    valuehandler.h
)
set(SOURCES
    main.cpp
    valuehandler.cpp
)

ADD_EXECUTABLE(dde-dconfig ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})

set(COMMON_LIBS
    Qt5::Core
    Qt5::DBus
    ${DtkWidget_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
)

install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dconfig-center/example/CMakeLists.txt ===
PROJECT(dconfig-example)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core)
find_package(Dtk REQUIRED Core)

ADD_EXECUTABLE(dconfig-example ./main.cpp)

target_link_libraries(${PROJECT_NAME} PUBLIC Qt5::Core ${DtkCore${DTK_VERSION_SUFFIX}_LIBRARIES})

dconfig_meta_files(APPID dconfig-example BASE ./configs FILES ./configs/example.json ./configs/a/example.json)

dconfig_meta_files(APPID dconfig-example FILES ./configs/example.json ./configs/a/example.json)

dconfig_override_files(APPID dconfig-example BASE ./configs META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

dconfig_override_files(APPID dconfig-example  META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

=== debian/changelog ===
dde-app-services (0.0.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Tue, 22 Feb 2022 13:39:18 +0800

dde-app-services (0.0.1-1) unstable; urgency=medium

  * Initial release Tag 0.0.1

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 20 Oct 2021 17:39:08 +0800

=== debian/control ===
Source: dde-app-services
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <yeshanshan@uniontech.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 cmake,
 qtbase5-dev,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 libgtest-dev
Standards-Version: 4.3.0

Package: dde-dconfig-daemon
Architecture: any
Conflicts: dconfig-daemon
Replaces: dconfig-daemon
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkcore5
Description: deepin desktop-environment - dde-dconfig-daemon module
 dde-dconfig-daemon provids dbus service for reading and writing DSG configuration.

Package: dde-dconfig-editor
Architecture: any
Conflicts: dconfig-editor
Replaces: dconfig-editor
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdtkcore5,
 libdtkgui5,
 libdtkwidget5
Description: deepin desktop-environment - dde-dconfig-editor module
 dde-dconfig-editor is a GUI or Console tool, it's used to view and edit 
 DSG configuration for current user.

## dde-app-services 0.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

project(dde-app-services)

add_subdirectory("dconfig-center")

=== dconfig-center/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

project(dconfig-center)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory("dde-dconfig-daemon")
add_subdirectory("dde-dconfig-editor")
add_subdirectory("dde-dconfig")
add_subdirectory("example")
add_subdirectory("tests")

=== dconfig-center/tests/CMakeLists.txt ===
PROJECT(tests)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(DtkCore REQUIRED)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

set(DTK_HAS_UNIT_TEST ON)
# for coverage
if (DTK_HAS_UNIT_TEST)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov --coverage")
endif()

include(../dde-dconfig-daemon/src.cmake)

list(APPEND SOURCES
    ut_dconfigconn.cpp
    ut_dconfigrefmanager.cpp
    ut_dconfigserver.cpp
)

ADD_EXECUTABLE(dconfigtest main.cpp ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML} data.qrc)

target_include_directories(dconfigtest PUBLIC
    ../dde-dconfig-daemon
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

set(COMMON_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Test
    ${DtkCore_LIBRARIES}
)

target_link_libraries(dconfigtest PUBLIC ${COMMON_LIBS}
    -lgtest
    -lpthread
)

=== debian/changelog ===
dde-app-services (0.0.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Mon, 16 May 2022 16:44:35 +0800

## dde-app-services 0.0.15

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,6 @@
 
 ## services files
 install(FILES services/org.desktopspec.ConfigManager.service DESTINATION /usr/share/dbus-1/system-services)
-install(FILES services/dconfig-center-daemon.service DESTINATION /usr/lib/systemd/system)
 
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,8 @@
 
 set(HEADERS
     mainwindow.h
-    valuehandler.h
+    ../common/valuehandler.h
+    ../common/helper.hpp
     iteminfo.h
     exportdialog.h
     oemdialog.h
@@ -34,7 +35,7 @@
 set(SOURCES
     main.cpp
     mainwindow.cpp
-    valuehandler.cpp
+    ../common/valuehandler.cpp
     iteminfo.cpp
     exportdialog.cpp
     oemdialog.cpp
@@ -56,6 +57,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
     ${DtkWidget_INCLUDE_DIRS}
+    ../common
 )
 
 install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== dconfig-center/dde-dconfig/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,12 @@
 qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
 
 set(HEADERS
-    helper.hpp
-    valuehandler.h
+    ../common/helper.hpp
+    ../common/valuehandler.h
 )
 set(SOURCES
     main.cpp
-    valuehandler.cpp
+    ../common/valuehandler.cpp
 )
 
 ADD_EXECUTABLE(dde-dconfig ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})
@@ -45,6 +45,10 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
     ${DtkWidget_INCLUDE_DIRS}
+    ../common
 )
 
 install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+
+set(BASH_COMPLETION_COMPLETIONSDIR "/usr/share/bash-completion/completions/")
+install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})

=== dconfig-center/example/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 dconfig_meta_files(APPID dconfig-example BASE ./configs FILES ./configs/example.json ./configs/a/example.json)
 
+dconfig_meta_files(COMMONID true FILES ./configs/example.json ./configs/a/example.json)
+
 dconfig_meta_files(APPID dconfig-example FILES ./configs/example.json ./configs/a/example.json)
 
 dconfig_override_files(APPID dconfig-example BASE ./configs META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

=== debian/changelog ===
dde-app-services (0.0.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Thu, 16 Jun 2022 10:49:06 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure

## dde-app-services 0.0.16

=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,9 @@
     oemdialog.cpp
 )
 
-ADD_EXECUTABLE(dde-dconfig-editor ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})
+set(QRC dde-dconfig-editor.qrc)
+
+ADD_EXECUTABLE(dde-dconfig-editor ${HEADERS} ${SOURCES} ${QRC} ${DCONFIG_DBUS_XML})
 
 set(COMMON_LIBS
     Qt5::Core

=== debian/changelog ===
dde-app-services (0.0.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Wed, 31 Aug 2022 15:23:28 +0800

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
 Replaces: dconfig-daemon
 Depends:
  ${shlibs:Depends},
- ${misc:Depends},
- libdtkcore5
+ ${misc:Depends}
 Description: deepin desktop-environment - dde-dconfig-daemon module
  dde-dconfig-daemon provids dbus service for reading and writing DSG configuration.
 
@@ -31,10 +30,7 @@
 Replaces: dconfig-editor
 Depends:
  ${shlibs:Depends},
- ${misc:Depends},
- libdtkcore5,
- libdtkgui5,
- libdtkwidget5
+ ${misc:Depends}
 Description: deepin desktop-environment - dde-dconfig-editor module
  dde-dconfig-editor is a GUI or Console tool, it's used to view and edit 
  DSG configuration for current user.

## dde-app-services 0.0.19

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig-daemon)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
@@ -35,13 +39,13 @@
     services/org.desktopspec.ConfigManager.xml
     services/org.desktopspec.ConfigManager.Manager.xml
 )
-install (FILES ${DCONFIG_XMLS_FILES} DESTINATION share/dbus-1/interfaces)
+install (FILES ${DCONFIG_XMLS_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/interfaces)
 
 ## dbus config file
-install (FILES services/org.desktopspec.ConfigManager.conf DESTINATION /usr/share/dbus-1/system.d)
+install (FILES services/org.desktopspec.ConfigManager.conf DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system.d)
 
 ## services files
-install(FILES services/org.desktopspec.ConfigManager.service DESTINATION /usr/share/dbus-1/system-services)
+install(FILES services/org.desktopspec.ConfigManager.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
 
 ## bin
-install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})

=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,12 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig-editor)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+
+set(DVERSION "1.0.0" CACHE STRING "define project version")
+add_definitions(-DVERSION="${DVERSION}")
 
 set(REQUIRED_QT_VERSION 5.11.3)
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets DBus)
@@ -62,4 +69,4 @@
     ../common
 )
 
-install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_BINDIR})

=== dconfig-center/dde-dconfig/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dde-dconfig)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
@@ -48,7 +52,7 @@
     ../common
 )
 
-install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_BINDIR})
 
-set(BASH_COMPLETION_COMPLETIONSDIR "/usr/share/bash-completion/completions/")
+set(BASH_COMPLETION_COMPLETIONSDIR ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/)
 install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})

=== dconfig-center/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(tests)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

=== debian/changelog ===
dde-app-services (0.0.19-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Thu, 13 Oct 2022 15:01:53 +0800

dde-app-services (0.0.1) unstable; urgency=medium

  * Initial release Tag 0.0.1

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 20 Oct 2021 17:39:08 +0800

=== debian/control ===
--- 
+++ 
@@ -32,5 +32,5 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Description: deepin desktop-environment - dde-dconfig-editor module
- dde-dconfig-editor is a GUI or Console tool, it's used to view and edit 
+ dde-dconfig-editor is a GUI or Console tool, it's used to view and edit
  DSG configuration for current user.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM)

## dde-app-services 0.0.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 cmake_minimum_required(VERSION 3.7)
 
 set(VERSION 4.0)

=== dconfig-center/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,14 @@
+# SPDX-FileCopyrightText: 2021 - 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 project(dconfig-center)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+include(GNUInstallDirs)
 
 add_subdirectory("dde-dconfig-daemon")
 add_subdirectory("dde-dconfig-editor")

=== dconfig-center/example/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
+#
+# SPDX-License-Identifier: LGPL-3.0-only
+
 PROJECT(dconfig-example)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

=== debian/changelog ===
dde-app-services (0.0.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <yeshanshan@uniontech.com>  Mon, 28 Nov 2022 15:05:23 +0800

dde-app-services (0.0.20) unstable; urgency=medium

  * Release 0.0.20

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Thu, 24 Nov 2022 13:39:03 +0800

## dde-app-services 1.0.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,25 @@
 
 cmake_minimum_required(VERSION 3.7)
 
-set(VERSION 4.0)
+set(DVERSION "1.0.0" CACHE STRING "define project version")
+add_definitions(-DVERSION="${DVERSION}")
+
+set(DTK_VERSION "5" CACHE STRING "Dtk Version")
+
+if (DTK_VERSION STREQUAL "5")
+    set(QT_VERSION_MAJOR "5")
+    set(EnableDtk5 on)
+    set(EnableDtk6 off)
+elseif(DTK_VERSION STREQUAL "6")
+    set(QT_VERSION_MAJOR "6")
+    set(DTK_VERSION_MAJOR "6")
+    set(EnableDtk5 off)
+    set(EnableDtk6 on)
+else()
+    message(FATAL_ERROR "Only support DTK_VERSION is 5 or 6")
+endif()
+
+set (BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")
 
 project(dde-app-services)

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -3,28 +3,28 @@
 # SPDX-License-Identifier: LGPL-3.0-only
 
 PROJECT(dde-dconfig-daemon)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
+
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
 
 set(REQUIRED_QT_VERSION 5.11.3)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
-find_package(DtkCore REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
+find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
 
 # generate moc_predefs.h
 set(CMAKE_AUTOMOC ON)
 set(AUTOMOC_COMPILER_PREDEFINES ON)
-
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
 
 include(src.cmake)
 
 ADD_EXECUTABLE(dde-dconfig-daemon main.cpp ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML})
 
 set(COMMON_LIBS
-    Qt5::Core
-    Qt5::DBus
-    ${DtkCore_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Dtk${DTK_VERSION_MAJOR}::Core
 )
 
 target_link_libraries(dde-dconfig-daemon PUBLIC ${COMMON_LIBS})
@@ -46,6 +46,11 @@
 
 ## services files
 install(FILES services/org.desktopspec.ConfigManager.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
+install(FILES services/dde-dconfig-daemon.service DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/systemd/system)
+
+## sysusers file
+install (FILES services/dde-dconfig-daemon.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/sysusers.d)
+install (FILES services/dde-dconfig-daemon-tmpfiles.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d)
 
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})

=== dconfig-center/dde-dconfig/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-only

PROJECT(dde-dconfig)
CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus LinguistTools)
find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

set(DCONFIG_DBUS_XML_CONFIGMANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_CONFIGMANAGER} PROPERTIES CLASSNAME DSGConfig NO_NAMESPACE NO_NAMESPACE)
if(EnableDtk6)
    qt_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)
endif()
if(EnableDtk5)
    qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)
endif()

set(DCONFIG_DBUS_XML_MANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.Manager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_MANAGER} PROPERTIES CLASSNAME DSGConfigManager NO_NAMESPACE NO_NAMESPACE)
if(EnableDtk6)
    qt_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
endif()
if (EnableDtk5)
    qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
endif()

set(TRANSLATIONS translates/dde-dconfig_zh_CN.ts)
if(EnableDtk6)
    qt6_add_translation(QM_FILES ${TRANSLATIONS})
endif()
if (EnableDtk5)
    qt5_add_translation(QM_FILES ${TRANSLATIONS})
endif()

set(HEADERS
    ../common/helper.hpp
    ../common/valuehandler.h
)
set(SOURCES
    main.cpp
    ../common/valuehandler.cpp
)

ADD_EXECUTABLE(dde-dconfig ${HEADERS} ${SOURCES} ${DCONFIG_DBUS_XML} ${QM_FILES})

set(COMMON_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk${DTK_VERSION_MAJOR}::Core
)

target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
    ../common
)

install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-dconfig/translations/)

set(BASH_COMPLETION_COMPLETIONSDIR ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/)
install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})

=== dconfig-center/docs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7)

find_package (Doxygen REQUIRED)
set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt${QT_VERSION_MAJOR}/doc CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML YES CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML YES CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP YES CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set (DOXYGEN_QCH_FILE "dde-dconfig-doc.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dde-dconfig-doc")
set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)

if("${QT_VERSION_MAJOR}" STREQUAL "5")
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Help)
else()
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS ToolsTools)
endif()
get_target_property(_qhelpgenerator_location Qt${QT_VERSION_MAJOR}::qhelpgenerator IMPORTED_LOCATION)

if("${_qhelpgenerator_location}" STREQUAL "")
    set(_qhelpgenerator_location "qhelpgenerator")
endif()
set (DOXYGEN_QHG_LOCATION ${_qhelpgenerator_location} CACHE STRING "Doxygen QHG path")

set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")
set (DOXYGEN_IMAGE_PATH ${PROJECT_SOURCE_DIR}/docs/src)
set (DOXYGEN_SOURCE_BROWSE "YES")

set (BUILD_THEME OFF CACHE BOOL "Build doxgen theme")
if(BUILD_THEME)
if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/doxygen-theme")
message(STATUS "doxygen-theme exists")
else()
execute_process(COMMAND git clone https://github.com/linuxdeepin/doxygen-theme.git --depth=1
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
        TIMEOUT 60
    )
execute_process(COMMAND bash themesetting.sh
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/doxygen-theme/
)
endif()
set (DOXYGEN_HTML_EXTRA_STYLESHEET "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only.css"
                                "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only-darkmode-toggle.css"
                                )
set (DOXYGEN_HTML_EXTRA_FILES "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-darkmode-toggle.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-fragment-copy-button.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-paragraph-link.js"
                            "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-interactive-toc.js"
                            )
set (DOXYGEN_GENERATE_TREEVIEW "YES")
set (DOXYGEN_DISABLE_INDEX "NO")
set (DOXYGEN_FULL_SIDEBAR "NO")
set (DOXYGEN_HTML_HEADER "docs/doxygen-theme/doxygen-awesome-css/header.html")
set (DOXYGEN_HTML_FOOTER "docs/doxygen-theme/doxygen-awesome-css/footer.html")
endif()

set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

doxygen_add_docs (dconfig-doxygen
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dde-dconfig-doc.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== dconfig-center/example/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-only

PROJECT(dconfig-example)
CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core)
find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)

ADD_EXECUTABLE(dconfig-example ./main.cpp)

target_link_libraries(${PROJECT_NAME} PUBLIC Qt${QT_VERSION_MAJOR}::Core Dtk${DTK_VERSION_MAJOR}::Core)

dconfig_meta_files(APPID dconfig-example BASE ./configs FILES ./configs/a/example.json)

dconfig_meta_files(COMMONID true FILES ./configs/example.json ./configs/a/example.json)

dconfig_meta_files(APPID dconfig-example FILES ./configs/example.json)

dconfig_override_files(APPID dconfig-example BASE ./configs META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

dconfig_override_files(APPID dconfig-example  META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

=== debian/changelog ===
dde-app-services (1.0.25) unstable; urgency=medium

  * Fix: Don't hardcode qhelpgenerator
    Thanks to Hillwood Yang
  * fix: repeated items for dde-dconfig-editor
  * fix: deb's format wrong
  * feat: support to reset all keys for configuration

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Jan 2024 14:42:32 +0800

dde-app-services (1.0.24) unstable; urgency=medium

  * feat: Add the way to check value is or not default value(Issue: dtk#3)
  * chore: Add the key const to the function getAppid
  * chore: add acquireManagerV2 interface(Issue: 5928)
  * fix: dde-dconfig-editor crashed(Bug: 222631)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 23 Oct 2023 13:52:12 +0800

dde-app-services (1.0.23) unstable; urgency=medium

  * feat: Add chinese translation for tools(Issue: #66)
  * feat: Sync setValue for dde-dconfig-editor
  * fix: Crashed when repareCache for dde-dconfig-daemon

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 14 Sep 2023 13:25:42 +0800

dde-app-services (1.0.22) unstable; urgency=medium

  * chore: Change the way to get application name
  * feat: Manage user by sysusers.d to replace postinst
  * feat: Being consistent with meta dir of dtkcore(Issue: #10)
  * feat: Support runtime conrtorl of verbose log on/off switch
  * chore(CI): Update obs tag build workflow
  * chore: Adapt to compile for qt6(Issue: #86)
  * feat: add archlinux build
  * chore: Adapt to qt6(Issue: #86)
  * Fix: Set function invalid when appid is not exist
  * Docs: Add DtkConfig document
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: typo refrence to reference
    Thanks to aleksana
  * fix: Wrong value for negative float type in editor
  * feat: Support positional argument for dde-dconfig
  * chore: Can't find QCommandLineParser
  * fix: some app failed to register dbus service

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 01 Sep 2023 13:35:25 +0800

dde-app-services (1.0.21) unstable; urgency=medium

  * fix: Wrong exit signal
  * feat: Add systemd service(Issue: https://github.com/linuxdeepin/developer-center/issues/4161)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 17:40:07 +0800

dde-app-services (1.0.20) unstable; urgency=medium

  * 1.0.20

 --  Deepin Package Builder <packages@deepin.com>  Mon, 10 Apr 2023 14:13:40 +0800

dde-app-services (0.0.23) unstable; urgency=medium

  * feat: Remove root user for dde-dconfig-daemon
  * fix: Save cache invalided
  * fix: Manual clean resource When exit
  * fix: Reduce delay sync time

 --  Deepin Package Builder <packages@deepin.com>  Thu, 30 Mar 2023 15:37:02 +0800

dde-app-services (0.0.22) unstable; urgency=medium

  * master 0.0.22

 --  Deepin Package Builder <packages@deepin.com>  Wed, 01 Mar 2023 10:06:35 +0800

dde-app-services (0.0.21) unstable; urgency=medium

  * Support generic configuration

 --  Deepin Package Builder <yeshanshan@uniontech.com>  Wed, 22 Feb 2023 14:43:34 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
  cmake,
  qtbase5-dev,
  libdtkcommon-dev,
- libdtkcore-dev,
+ libdtkcore-dev(>=5.6.19),
  libdtkgui-dev,
  libdtkwidget-dev,
- libgtest-dev
+ libgtest-dev,
+ doxygen,
+ qttools5-dev-tools,
+ qttools5-dev
 Standards-Version: 4.3.0
 
 Package: dde-dconfig-daemon
@@ -34,3 +37,8 @@
 Description: deepin desktop-environment - dde-dconfig-editor module
  dde-dconfig-editor is a GUI or Console tool, it's used to view and edit
  DSG configuration for current user.
+
+Package: dde-dconfig-doc
+Architecture: any
+Description: Deepin Tool Kit DConfig (document)
+ This package contains the doc files of DConfig

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,10 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM)
+	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM) -DDTK_VERSION=5
+
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_installsysusers dde-dconfig-daemon.sysusers
+	dh_installtmpfiles dde-dconfig-daemon.tmpfiles

## dde-app-services 1.0.27

=== dconfig-center/dde-dconfig-editor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-only

PROJECT(dde-dconfig-editor)
CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets DBus LinguistTools)
find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR}Gui REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR}Widget REQUIRED)

# generate moc_predefs.h
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

set(DCONFIG_DBUS_XML_CONFIGMANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_CONFIGMANAGER} PROPERTIES CLASSNAME DSGConfig NO_NAMESPACE NO_NAMESPACE)
if(EnableDtk5)
    qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)
endif()
if(EnableDtk6)
    qt_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_CONFIGMANAGER} manager_interface)
endif()

set(DCONFIG_DBUS_XML_MANAGER ../dde-dconfig-daemon/services/org.desktopspec.ConfigManager.Manager.xml)
set_source_files_properties(${DCONFIG_DBUS_XML_MANAGER} PROPERTIES CLASSNAME DSGConfigManager NO_NAMESPACE NO_NAMESPACE)
if(EnableDtk5)
    qt5_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
endif()
if(EnableDtk6)
    qt_add_dbus_interface(DCONFIG_DBUS_XML ${DCONFIG_DBUS_XML_MANAGER} configmanager_interface)
endif()

set(HEADERS
    mainwindow.h
    ../common/valuehandler.h
    ../common/helper.hpp
    iteminfo.h
    exportdialog.h
    oemdialog.h
)
set(SOURCES
    main.cpp
    mainwindow.cpp
    ../common/valuehandler.cpp
    iteminfo.cpp
    exportdialog.cpp
    oemdialog.cpp
)

set(TRANSLATIONS translates/dde-dconfig-editor_zh_CN.ts)
if(EnableDtk6)
    qt6_add_translation(QM_FILES ${TRANSLATIONS})
endif()
if (EnableDtk5)
    qt5_add_translation(QM_FILES ${TRANSLATIONS})
endif()

set(QRC dde-dconfig-editor.qrc)

ADD_EXECUTABLE(dde-dconfig-editor ${HEADERS} ${SOURCES} ${QRC} ${DCONFIG_DBUS_XML} ${QM_FILES})

set(COMMON_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    ${DtkWidget_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
    ${DtkWidget_INCLUDE_DIRS}
    ../common
)

install(TARGETS dde-dconfig-editor DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-dconfig-editor/translations/)

=== debian/changelog ===
dde-app-services (1.0.27) unstable; urgency=medium

  * fix: dde-dconfig-daemon can't be started by DBus

 -- YeShanShan <yeshanshan@deepin.org>  Sat, 07 Dec 2024 10:57:44 +0800

dde-app-services (1.0.26) unstable; urgency=medium

  * chore: systemd hardening

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:21:27 +0800

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,3 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_installsysusers dde-dconfig-daemon.sysusers
-	dh_installtmpfiles dde-dconfig-daemon.tmpfiles

## dde-app-services 1.0.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(DVERSION "1.0.0" CACHE STRING "define project version")
 add_definitions(-DVERSION="${DVERSION}")
 
-set(DTK_VERSION "5" CACHE STRING "Dtk Version")
+set(DTK_VERSION "6" CACHE STRING "Dtk Version")
 
 if (DTK_VERSION STREQUAL "5")
     set(QT_VERSION_MAJOR "5")

=== dconfig-center/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-only
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
 
 project(dconfig-center)
 
@@ -15,3 +15,7 @@
 add_subdirectory("dde-dconfig")
 add_subdirectory("example")
 add_subdirectory("tests")
+
+if (BUILD_DOCS)
+    add_subdirectory(docs)
+endif()

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,6 @@
 
 ## sysusers file
 install (FILES services/dde-dconfig-daemon.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/sysusers.d)
-install (FILES services/dde-dconfig-daemon-tmpfiles.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d)
 
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})

=== dconfig-center/dde-dconfig/CMakeLists.txt ===
--- 
+++ 
@@ -72,5 +72,8 @@
 install(TARGETS dde-dconfig DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-dconfig/translations/)
 
-set(BASH_COMPLETION_COMPLETIONSDIR ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/)
-install(DIRECTORY bash_completion.d/ DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})
+set(BASH_COMPLETION_COMPLETIONS ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/)
+install(FILES ./completion/dde-dconfig.bash DESTINATION ${BASH_COMPLETION_COMPLETIONS} RENAME dde-dconfig)
+
+set(ZSH_COMPLETION_COMPLETIONS ${CMAKE_INSTALL_DATADIR}/zsh/vendor-completions/)
+install(FILES ./completion/dde-dconfig.zsh DESTINATION ${ZSH_COMPLETION_COMPLETIONS} RENAME _dde-dconfig)

=== dconfig-center/example/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Uniontech Software Technology Co.,Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-only

PROJECT(dconfig-example)
CMAKE_MINIMUM_REQUIRED(VERSION 3.7)

set(REQUIRED_QT_VERSION 5.11.3)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core)
find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)

ADD_EXECUTABLE(dconfig-example ./main.cpp)

target_link_libraries(${PROJECT_NAME} PUBLIC Qt${QT_VERSION_MAJOR}::Core Dtk${DTK_VERSION_MAJOR}::Core)

dtk_add_config_meta_files(APPID dconfig-example BASE ./configs FILES ./configs/a/example.json)

dtk_add_config_meta_files(COMMONID true FILES ./configs/example.json ./configs/a/example.json)

dtk_add_config_meta_files(APPID dconfig-example FILES ./configs/example.json)

dtk_add_config_override_files(APPID dconfig-example BASE ./configs META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

dtk_add_config_override_files(APPID dconfig-example  META_NAME example  FILES ./configs/dconf-example.override.json ./configs/a/dconf-example.override.a.json)

=== dconfig-center/tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,11 @@
 # SPDX-License-Identifier: LGPL-3.0-only
 
 PROJECT(tests)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
 
 set(REQUIRED_QT_VERSION 5.11.3)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
-find_package(DtkCore REQUIRED)
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus Test)
+find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
 
 # generate moc_predefs.h
 set(CMAKE_AUTOMOC ON)
@@ -35,14 +34,13 @@
 target_include_directories(dconfigtest PUBLIC
     ../dde-dconfig-daemon
     ${CMAKE_CURRENT_BINARY_DIR}
-    ${CMAKE_SOURCE_DIR}
 )
 
 set(COMMON_LIBS
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Test
-    ${DtkCore_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Test
+    Dtk${DTK_VERSION_MAJOR}::Core
 )
 
 target_link_libraries(dconfigtest PUBLIC ${COMMON_LIBS}

=== debian/changelog ===
dde-app-services (1.0.29) unstable; urgency=medium

  * refact: switch to qt6 for debian
  * feat: adapt to dtk6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 11:34:40 +0800

dde-app-services (1.0.28) unstable; urgency=medium

  * feat: support to read other user's config for editor
  * refact: using sigaction to handle signal
  * refact: modify DSG_DATA_DIRS keeping up with linglong
  * fix: incorrect override format for json when export to OEM

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 18 Mar 2025 21:23:23 +0800

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  debhelper (>=9),
  pkg-config,
  cmake,
- qtbase5-dev,
+ qt6-base-dev,
  libdtkcommon-dev,
- libdtkcore-dev(>=5.6.19),
- libdtkgui-dev,
- libdtkwidget-dev,
+ libdtk6core-dev,
+ libdtk6gui-dev,
+ libdtk6widget-dev,
  libgtest-dev,
  doxygen,
- qttools5-dev-tools,
- qttools5-dev
+ qt6-tools-dev-tools,
+ qt6-tools-dev
 Standards-Version: 4.3.0
 
 Package: dde-dconfig-daemon

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM) -DDTK_VERSION=6


override_dh_auto_install:
	dh_auto_install
	dh_installsysusers dde-dconfig-daemon.sysusers

## dde-app-services 1.0.33

=== dconfig-center/dde-dconfig-daemon/CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,10 @@
 #
 # SPDX-License-Identifier: LGPL-3.0-only
 
-PROJECT(dde-dconfig-daemon)
-CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
-
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
-
-set(REQUIRED_QT_VERSION 5.11.3)
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core DBus)
 find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
+
+option(INSTALL_DEBIAN_TRIGGER "Install dconfig trigger handler script" OFF)
 
 # generate moc_predefs.h
 set(CMAKE_AUTOMOC ON)
@@ -48,8 +42,10 @@
 install(FILES services/org.desktopspec.ConfigManager.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/system-services)
 install(FILES services/dde-dconfig-daemon.service DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/systemd/system)
 
-## sysusers file
-install (FILES services/dde-dconfig-daemon.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/sysusers.d)
-
 ## bin
 install(TARGETS dde-dconfig-daemon DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+## trigger handler scripts
+if(INSTALL_DEBIAN_TRIGGER)
+    install(PROGRAMS scripts/dconfig-trigger-handler DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/dde-dconfig-daemon)
+endif()

=== debian/changelog ===
dde-app-services (1.0.33) unstable; urgency=medium

  * fix: remove redundant log messages in dconfig-trigger-handler
  * feat: add qvariantToCmd helper function
  * fix: simplify DBus service check and add cache path prefix

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 14:33:09 +0800

dde-app-services (1.0.32) unstable; urgency=medium

  * feat: add Debian trigger integration for config updates (#111)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 20 Jun 2025 17:52:05 +0800

dde-app-services (1.0.31) unstable; urgency=medium

  * feat: add user configuration cleanup functionality
  * refactor: simplify CMake version requirements

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:13:52 +0800

dde-app-services (1.0.30) unstable; urgency=medium

  * chore(CI): add debian check workflow
  * refactor: update CMake requirements and smart pointer usage
  * fix: replace QStringList with QVariantList in test case
  * fix: add input validation and update D-Bus permissions
  * fix: improve configuration path validation and duplicate check
  * feat: improve config and log management
  * chore: remove sysusers configuration files

 -- YeShanShan <yeshanshan@uniontech.com>  Wed, 28 May 2025 18:00:58 +0800

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DDVERSION=$(DEB_VERSION_UPSTREAM) -DDTK_VERSION=6 -DINSTALL_DEBIAN_TRIGGER=ON


override_dh_auto_install:
	dh_auto_install
